ArrayIterator
ArrayObject
ArrayIterator
PHP Manual

# ArrayIterator::valid

(PHP 5)

ArrayIterator::valid — Check whether array contains more entries

### Description

bool ArrayIterator::valid ( void )

Checks if the array contains any more entries.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayIterator::valid() example

`<?php
$array = array('1' => 'one');
$arrayobject = new ArrayObject($array);
$iterator = $arrayobject->getIterator();
var_dump($iterator->valid()); //bool(true)
$iterator->next(); // advance to the next item
//bool(false) because there is only one array element
var_dump($iterator->valid());
?>`

ArrayIterator
ArrayObject
ArrayIterator
PHP Manual